import { useProp, useState, h } from 'atomico';
import 'funfix';
import { g as getComponentOrDefine } from './chunks/65ef80fe.js';
import './kun-icon.js';
import './kun-button-puer.js';

var style = ":host {\n}\n";

const _jsxFileName = "/Users/rang/rang/frond_ng/packages/six/src/components/kun-loading-button/kun-loading-button.tsx";
const KunLoadingButton = () => {
  const [needleContent] = useProp("needleContent");
  const [loading, setLoading] = useState(false);

  return (
    h('host', {__self: undefined, __source: {fileName: _jsxFileName, lineNumber: 13}}
      , h('style', {__self: undefined, __source: {fileName: _jsxFileName, lineNumber: 14}}, style)
      , h('kun-button-puer', { needleContent: needleContent, loading: loading, __self: undefined, __source: {fileName: _jsxFileName, lineNumber: 15}} )
    )
  );
};

KunLoadingButton.props = {
};

var kunLoadingButton = getComponentOrDefine("kun-loading-button", KunLoadingButton);

export default kunLoadingButton;
